[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.DestroyTimer

Destroys the timer with the specified handle.

## Declaration

Source position: interfacebase.pp line 172

`public function TWidgetSet.DestroyTimer(`
`TimerHandle: TLCLHandle`
`):Boolean; virtual; abstract;`

## Arguments

`TimerHandle` |  | Handle (or ID) for the timer destroyed in the method.

## Function result

True if the timer was successfully destroyed. False on failure.

## Description

Declared as an abstract virtual method in TWidgetSet. Must be implemented in a descendent class to use the platform-specific mechanism(s) required for the implementation.

## Version info

Modified in LCL version 4.0 to use the TLCLHandle type instead of the deprecated THandle type in the TimerHandle parameter.

## See also

TWidgetSet.CreateTimer |  | Creates a timer with the given callback method.
TWSTimerProc |  | Type used for a timer callback procedure.
TLCLHandle |  | The type used for handles in LCL applications, components, controls, and widget set classes.